summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-puzzle/sgt-puzzles
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-puzzle/sgt-puzzles')
-rw-r--r--games-puzzle/sgt-puzzles/Manifest1
-rw-r--r--games-puzzle/sgt-puzzles/files/sgt-puzzles-9861-gentoo.patch23
-rw-r--r--games-puzzle/sgt-puzzles/metadata.xml5
-rw-r--r--games-puzzle/sgt-puzzles/sgt-puzzles-9861.ebuild88
-rw-r--r--games-puzzle/sgt-puzzles/sgt-puzzles-99999999.ebuild94
5 files changed, 211 insertions, 0 deletions
diff --git a/games-puzzle/sgt-puzzles/Manifest b/games-puzzle/sgt-puzzles/Manifest
new file mode 100644
index 00000000000..46566bc96e4
--- /dev/null
+++ b/games-puzzle/sgt-puzzles/Manifest
@@ -0,0 +1 @@
+DIST puzzles-r9861.tar.gz 3255388 SHA256 cc08ffd96c20dfe249d6db0e97f32608e8c52da9ca00a0e8d7d67fd4a474c3a2 SHA512 fc8abf5912e7ecdf5c5166c6b8f354e5f6dc8c42d646ffeae812c3cea21496f9ff03671268453a32c3246d1c94dfaba83628bf65ebeb645b3deb208ee3045ba1 WHIRLPOOL 1f91bc25d5c8dbf531d71eb3783169477834c232810f529cf682d69a121688584af7dc51b00c380e85dfee3119f9644d2f741f4c9f9dfc2054bc72fa5dd88de5
diff --git a/games-puzzle/sgt-puzzles/files/sgt-puzzles-9861-gentoo.patch b/games-puzzle/sgt-puzzles/files/sgt-puzzles-9861-gentoo.patch
new file mode 100644
index 00000000000..c4ac19eed57
--- /dev/null
+++ b/games-puzzle/sgt-puzzles/files/sgt-puzzles-9861-gentoo.patch
@@ -0,0 +1,23 @@
+diff -ru puzzles-r9861.orig/mkfiles.pl puzzles-r9861/mkfiles.pl
+--- puzzles-r9861.orig/mkfiles.pl 2013-03-30 16:16:21.000000000 -0400
++++ puzzles-r9861/mkfiles.pl 2013-06-11 17:59:54.255885226 -0400
+@@ -1117,8 +1117,8 @@
+ "\n".
+ &splitline("CFLAGS := -O2 -Wall -Werror -ansi -pedantic -g " .
+ (join " ", map {"-I$dirpfx$_"} @srcdirs) .
+- " `\$(GTK_CONFIG) --cflags` \$(CFLAGS)")."\n".
+- "XLIBS = `\$(GTK_CONFIG) --libs` -lm\n".
++ " `pkg-config gtk+-2.0 --cflags` \$(CFLAGS)")."\n".
++ "XLIBS = `pkg-config gtk+-2.0 --libs` -lm\n".
+ "ULIBS = -lm#\n".
+ "INSTALL=install\n",
+ "INSTALL_PROGRAM=\$(INSTALL)\n",
+@@ -1138,7 +1138,7 @@
+ $objstr = &objects($p, "X.o", undef, undef);
+ print &splitline("\$(BINPREFIX)" . $prog . ": " . $objstr), "\n";
+ $libstr = &objects($p, undef, undef, "-lX");
+- print &splitline("\t\$(CC) -o \$@ $objstr $libstr \$(XLFLAGS) \$(${type}LIBS)", 69),
++ print &splitline("\t\$(CC) \$(LDFLAGS) -o \$@ $objstr $libstr \$(XLFLAGS) \$(${type}LIBS)", 69),
+ "\n\n";
+ }
+ foreach $d (&deps("X.o", undef, $dirpfx, "/")) {
diff --git a/games-puzzle/sgt-puzzles/metadata.xml b/games-puzzle/sgt-puzzles/metadata.xml
new file mode 100644
index 00000000000..d3c2cc926f0
--- /dev/null
+++ b/games-puzzle/sgt-puzzles/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>
diff --git a/games-puzzle/sgt-puzzles/sgt-puzzles-9861.ebuild b/games-puzzle/sgt-puzzles/sgt-puzzles-9861.ebuild
new file mode 100644
index 00000000000..9879da77661
--- /dev/null
+++ b/games-puzzle/sgt-puzzles/sgt-puzzles-9861.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils gnome2-utils toolchain-funcs games
+if [[ ${PV} == "99999999" ]] ; then
+ ESVN_REPO_URI="svn://svn.tartarus.org/sgt/puzzles"
+ inherit subversion
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles-r${PV}.tar.gz"
+ S=${WORKDIR}/puzzles-r${PV}
+ KEYWORDS="amd64 x86"
+fi
+
+DESCRIPTION="Simon Tatham's Portable Puzzle Collection"
+HOMEPAGE="http://www.chiark.greenend.org.uk/~sgtatham/puzzles/"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="doc"
+
+RDEPEND="x11-libs/gtk+:2"
+DEPEND="${RDEPEND}
+ dev-lang/perl
+ virtual/pkgconfig
+ doc? ( >=app-doc/halibut-1.0 )"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-gentoo.patch
+ ./mkfiles.pl
+ sed -i \
+ -e 's:= -O2 -Wall -Werror -ansi -pedantic -g:= $(CPPFLAGS):' \
+ -e '/LDFLAGS/s:=:=$(LDFLAGS) :' \
+ Makefile || die
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)"
+ if use doc ; then
+ halibut --text --html --info --pdf --ps puzzles.but
+ fi
+}
+
+src_install() {
+ dodir "${GAMES_BINDIR}"
+ emake DESTDIR="${D}" gamesdir="${GAMES_BINDIR}" install
+ dodoc README HACKING
+
+ local file name
+ for file in *.R ; do
+ [[ ${file} == "nullgame.R" ]] && continue
+ name=$(awk -F: '/exe:/ { print $3 }' "${file}")
+ file=${file%.R}
+ if [[ ${PV} -lt 99999999 ]] ; then
+ newicon -s 48 icons/${file}-48d24.png ${PN}-${file}.png
+ make_desktop_entry "${GAMES_BINDIR}/${file}" "${name}" "${PN}-${file}"
+ else
+ # No icons with the live version
+ make_desktop_entry "${GAMES_BINDIR}/${file}" "${name}"
+ fi
+ done
+
+ dodoc puzzles.txt puzzles.chm
+ if use doc ; then
+ dohtml *.html
+ doinfo puzzles.info
+ dodoc puzzles.pdf puzzles.ps
+ fi
+
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ [[ ${PV} -lt 99999999 ]] && gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ [[ ${PV} -lt 99999999 ]] && gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ [[ ${PV} -lt 99999999 ]] && gnome2_icon_cache_update
+}
diff --git a/games-puzzle/sgt-puzzles/sgt-puzzles-99999999.ebuild b/games-puzzle/sgt-puzzles/sgt-puzzles-99999999.ebuild
new file mode 100644
index 00000000000..8012c5d4306
--- /dev/null
+++ b/games-puzzle/sgt-puzzles/sgt-puzzles-99999999.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils gnome2-utils toolchain-funcs games
+if [[ ${PV} == "99999999" ]] ; then
+ EGIT_REPO_URI="git://git.tartarus.org/simon/puzzles.git"
+ inherit autotools git-r3
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://www.chiark.greenend.org.uk/~sgtatham/puzzles/puzzles-r${PV}.tar.gz"
+ S=${WORKDIR}/puzzles-r${PV}
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Simon Tatham's Portable Puzzle Collection"
+HOMEPAGE="http://www.chiark.greenend.org.uk/~sgtatham/puzzles/"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="doc"
+
+RDEPEND="x11-libs/gtk+:2"
+DEPEND="${RDEPEND}
+ dev-lang/perl
+ virtual/pkgconfig
+ doc? ( >=app-doc/halibut-1.0 )"
+
+src_prepare() {
+ if [[ ${PV} == "99999999" ]] ; then
+ sed -i \
+ -e 's/-O2 -Wall -Werror -ansi -pedantic -g//' \
+ -e "s/libstr =/libstr = '\$(LDFLAGS) ' ./" \
+ mkfiles.pl || die
+ ./mkfiles.pl || die
+ eautoreconf
+ else
+ sed -i \
+ -e 's:= -O2 -Wall -Werror -ansi -pedantic -g:= $(CPPFLAGS):' \
+ -e '/LDFLAGS/s:=:=$(LDFLAGS) :' \
+ Makefile || die
+ fi
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)"
+ if use doc ; then
+ halibut --text --html --info --pdf --ps puzzles.but || die
+ fi
+}
+
+src_install() {
+ dodir "${GAMES_BINDIR}"
+ emake DESTDIR="${D}" gamesdir="${GAMES_BINDIR}" install
+ dodoc README
+
+ local file name
+ for file in *.R ; do
+ [[ ${file} == "nullgame.R" ]] && continue
+ name=$(awk -F: '/exe:/ { print $3 }' "${file}")
+ file=${file%.R}
+ if [[ ${PV} -lt 99999999 ]] ; then
+ newicon -s 48 icons/${file}-48d24.png ${PN}-${file}.png
+ make_desktop_entry "${GAMES_BINDIR}/${file}" "${name}" "${PN}-${file}"
+ else
+ # No icons with the live version
+ make_desktop_entry "${GAMES_BINDIR}/${file}" "${name}"
+ fi
+ done
+
+ if use doc ; then
+ dohtml *.html
+ doinfo puzzles.info
+ dodoc puzzles.pdf puzzles.ps puzzles.txt puzzles.chm
+ fi
+
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ [[ ${PV} -lt 99999999 ]] && gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ [[ ${PV} -lt 99999999 ]] && gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ [[ ${PV} -lt 99999999 ]] && gnome2_icon_cache_update
+}